/// <reference types="node" />
/// <reference types="node" />
import { Readable, Writable } from 'stream';
import * as tar from 'tar-stream';
export declare function normalizeTarEntry(name: string): string;
export declare function streamToBuffer(stream: Readable): Promise<Buffer>;
export declare function drainStream(stream: Readable): Promise<void>;
export declare function pipePromise<WritableSub extends Writable>(pipeFrom: Readable, pipeTo: WritableSub): Promise<WritableSub>;
export declare function cloneTarStream(sourceTarStream: Readable, opts?: {
    onEntry?: (pack: tar.Pack, header: tar.Headers, stream: Readable) => void;
    onFinish?: (pack: tar.Pack) => void;
}): Promise<tar.Pack>;
export declare function multicastStream(fromStream: Readable, toStreams: Writable[]): Promise<void>;
